// SPDX-License-Identifier: MIT OR Apache-2.0
// Copyright (c) 2025 lacklustr@protonmail.com https://github.com/eadf

use crate::common::VertexIndex;
use crate::corner_table::CornerTable;

#[test]
#[should_panic]
fn test_corner_table_basic() {
    let triangles: Vec<_> = [0, 1, 2, 1, 3, 2].iter().map(|&i| VertexIndex(i)).collect(); // Two triangles sharing an edge
    let _ = CornerTable::<false>::from_manifold_triangles(triangles.clone(), 3).unwrap();
    let _ = CornerTable::<true>::from_manifold_triangles(triangles, 3).unwrap();
}
